petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLogSet

Sets the logging functions called at the beginning and ending of every event.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogSet(PetscErrorCode (*b)(PetscLogEvent, int, PetscObject, PetscObject, PetscObject, PetscObject),
                                PetscErrorCode (*e)(PetscLogEvent, int, PetscObject, PetscObject, PetscObject, PetscObject))

Not Collective

### Input Parameters

| b | - The function called at beginning of event
| e | - The function called at end of event

### See Also

PetscLogDump(), PetscLogDefaultBegin(), PetscLogAllBegin(), PetscLogTraceBegin()

### Level

developer

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages